Skip to navigation

Get Object-Store Scan Method

Retrieves the scan mode and change detection mode for an Amazon S3 bucket or Google Cloud Storage bucket.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the Amazon S3 bucket or Google Cloud Storage bucket to retrieve.

Response

Settings retrieved.
objectStoreScanMethodobject
Scan mode and change detection mode for the Amazon S3 bucket or Google Cloud Storage bucket.

Errors

400
Bad Request Error
404
Not Found Error